#!/bin/bash

#Setup script fpr inetwatch suite installation. 
#Enviroment Ubuntu 7.10
#You need only run this script as root for once
#inetwatch suit is Free Software, so you can modify it,it means modification is suggested.

E_BADDIR=65
installdir=~/inetw
logdir=~/inetw/log
homedir=~/
#------------------
#intew_d()
#test intew directory,if false ,create
#----------------
inetw_d()
{
# 1=
# 2=
 if [ ! -d "$1" ]
 then
   echo " $1 is not yet available"
   echo "trying to build"
   mkdir "$1"
   mkdir "$1/log"
   return $E_BADDIR
 fi
 
 if [ ! -d "$2" ]
 then 
   echo "NO log DIR,build..."
   mkdir "$2" 
   return $E_BADDIR
 fi
 return 0
}

d=
cd ./
d=$(pwd)

if [ $installdir != $d ]
then
inetw_d $installdir $logdir
 echo "moving inetwatch suite in into Destination DIR"
mv lsold.sh shl README lslog.sh netwatch.sh  $installdir
fi
 inetw_d $installdir $logdir
 cd $installdir
 sudo ln -n netwatch.sh /usr/local/bin/inetwatch
 sudo ln -n shl /usr/local/bin/inetwshl
 sudo ln -n lslog.sh /usr/local/bin/inetwls

 cd /usr/local/bin
 sudo chmod +x inetwatch
 sudo chmod +x inetwshl
 sudo chmod +x inetwls

 cd $d

mv setup.sh setup.sh.bak
mv setup.sh.bak $installdir

cd $installdir
echo "IT is the Directory where suite came from:$d"
echo "IT is the Directory where suite now resides:$installdir"

echo "If no wrong messages appeared,you can run inetwatchto start "
exit 0

